跳转到主要内容
基础设施相关接口/联邦与 SSO
POSTFederation起始版本 1.0同步需要认证

探测OIDC提供方

探测OIDC提供者返回已知发现文档元数据。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • issuerString必填

    签发方。

    示例: https://idp.example.com

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • issuerString

    签发方。

    示例: https://idp.example.com

  • authorizationEndpointString

    授权端点地址。

    示例: https://idp.example.com/oauth2/authorize

  • tokenEndpointString

    令牌端点地址。

    示例: https://idp.example.com/oauth2/token

  • userinfoEndpointString

    用户信息端点地址。

    示例: https://idp.example.com/oauth2/userinfo

  • endSessionEndpointString

    会话登出端点地址。

    示例: https://idp.example.com/oauth2/logout

  • jwksUriString

    JWKS端点地址。

    示例: https://idp.example.com/oauth2/jwks

  • scopesSupportedList

    支持的范围列表。

    示例: item1,item2

  • responseTypesSupportedList

    支持的响应类型列表。

    示例: item1,item2

请求地址

POST/api/v1/sso/probe

/api/v1/sso/probe

操作 ID

ProbeOIDCProvider

永久链接

请求示例

curl -X POST '{host}/api/v1/sso/probe' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"issuer":"https://idp.example.com"}'

响应示例

200
{
  "issuer": "https://idp.example.com",
  "authorizationEndpoint": "https://idp.example.com/oauth2/authorize",
  "tokenEndpoint": "https://idp.example.com/oauth2/token",
  "userinfoEndpoint": "https://idp.example.com/oauth2/userinfo",
  "endSessionEndpoint": "https://idp.example.com/oauth2/logout",
  "jwksUri": "https://idp.example.com/oauth2/jwks",
  "scopesSupported": [],
  "responseTypesSupported": []
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史